# $Revision: 1.96 $, $Date: 2012/05/17 17:41:02 $
%define		xfce_version	4.10.0
Summary:	Next generation panel for Xfce
Summary(pl.UTF-8):	Panel nowej generacji dla Xfce
Name:		xfce4-panel
Version:	4.10.0
Release:	1
License:	GPL v2, LGPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/xfce/xfce4-panel/4.10/%{name}-%{version}.tar.bz2
# Source0-md5:	cf7351a4b952dbe3fc5ff509c68def33
Patch0:		%{name}-no-empty-panel.patch
URL:		http://www.xfce.org/projects/xfce4-panel
BuildRequires:	dbus-glib-devel >= 0.73
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	exo-devel >= 0.8.0
BuildRequires:	garcon-devel >= 0.2.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	gtk-doc-automake
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libwnck2-devel >= 2.22.0
BuildRequires:	libxfce4ui-devel >= %{xfce_version}
BuildRequires:	libxfce4util-devel >= %{xfce_version}
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= %{xfce_version}
BuildRequires:	xfconf-devel >= %{xfce_version}
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
# NOTE: xfce4-icon-theme doesn't match XDG specification.
#       Use Tango as a default icon theme.
Requires:	tango-icon-theme
Requires:	xfce4-dirs >= 4.6
Suggests:	xfce-preferred-applications
Obsoletes:	xfce4-iconbox
Obsoletes:	xfce4-showdesktop-plugin
Obsoletes:	xfce4-systray
Obsoletes:	xfce4-taskbar-plugin
Obsoletes:	xfce4-themes
Obsoletes:	xfce4-windowlist-plugin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfce4-panel is the panel for the Xfce desktop environment.

%description -l pl.UTF-8
xfce4-panel to panel dla środowiska Xfce.

%package apidocs
Summary:	Xfce panel API documentation
Summary(pl.UTF-8):	Dokumentacja API panelu Xfce
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Xfce panel API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API panelu Xfce.

%package libs
Summary:	xfce4panel library
Summary(pl.UTF-8):	Biblioteka xfce4panel
Group:		X11/Development/Libraries

%description libs
This package contains xfce4panel library.

%description libs -l pl.UTF-8
Pakiet ten zawiera bibliotekę xfce4panel.

%package devel
Summary:	Header files for building Xfce panel plugins
Summary(pl.UTF-8):	Pliki nagłówkowe do budowania wtyczek panelu Xfce
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.18.0
Requires:	gtk+2-devel >= 2:2.14.0
Requires:	libxfce4ui-devel >= %{xfce_version}
Requires:	libxfce4util-devel >= %{xfce_version}

%description devel
Header files for building Xfce panel plugins.

%description devel -l pl.UTF-8
Pliki nagłówkowe do budowania wtyczek panelu Xfce.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--disable-static \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_datadir}}/xfce4/panel-plugins

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/xfce4-panel
%attr(755,root,root) %{_bindir}/xfce4-popup-applicationsmenu
%attr(755,root,root) %{_bindir}/xfce4-popup-directorymenu
%attr(755,root,root) %{_bindir}/xfce4-popup-windowmenu

%dir %{_sysconfdir}/xdg/xfce4/panel
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/xfce4/panel/default.xml
%dir %{_libdir}/xfce4
%dir %{_libdir}/xfce4/panel
%attr(755,root,root) %{_libdir}/xfce4/panel/migrate
%attr(755,root,root) %{_libdir}/xfce4/panel/wrapper
%dir %{_libdir}/xfce4/panel-plugins
%dir %{_libdir}/xfce4/panel/plugins
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libactions.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libapplicationsmenu.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libclock.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libdirectorymenu.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/liblauncher.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libpager.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libseparator.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libshowdesktop.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libsystray.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libtasklist.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libwindowmenu.so
%{_datadir}/xfce4/panel
%dir %{_datadir}/xfce4/panel-plugins
%{_iconsdir}/hicolor/*/*/*
%{_desktopdir}/*.desktop

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libxfce4panel-1.0

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfce4panel-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxfce4panel-1.0.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxfce4panel-1.0.so
%{_includedir}/xfce4/libxfce4panel-1.0
%{_pkgconfigdir}/libxfce4panel-1.0.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-panel.spec,v $
Revision 1.96  2012/05/17 17:41:02  baggins
- updated files

Revision 1.95  2012/05/17 17:38:05  baggins
- updated patch to 4.10

Revision 1.94  2012/05/17 11:55:08  baggins
- 4.10.0
- empty-panel patch needs rewrite/update

Revision 1.93  2012/03/28 07:27:09  arekm
- release 4

Revision 1.92  2012/02/07 22:08:54  arekm
- release 3

Revision 1.91  2011/10/24 10:13:44  baggins
- rel 2
- asking lusers "complicated" existential questions how they want theirs panel
  is not a good idea - remove "one empty panel" answer from migrate program

Revision 1.90  2011/09/28 11:18:02  baggins
- 4.8.6

Revision 1.89  2011/06/28 14:43:02  marti
- up to 4.8.5

Revision 1.88  2011/04/07 07:04:25  wiget
- rel. 3

Revision 1.87  2011/04/07 06:00:26  baggins
- rel 2
- fix libwnck BR

Revision 1.86  2011/04/07 05:55:29  baggins
- 4.8.3

Revision 1.85  2011/03/05 18:39:41  caleb
- Up to 4.8.2

Revision 1.84  2011/02/16 18:15:41  megabajt
- merged from DEVEL

Revision 1.79.2.6  2011/02/14 18:01:24  megabajt
- provide %{_libdir}/xfce4/panel-plugins

Revision 1.79.2.5  2011/02/07 22:34:52  megabajt
- updated to 4.8.1
- removed -generic-menu.patch (now XDG_MENU_PREFIX is used to determine
  which menu should be used)
- drop libtool file

Revision 1.83  2011/02/04 18:24:09  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.79.2.4  2011/01/30 11:41:00  megabajt
- provide old directory for panel plugin files (still supported according to changelog)

Revision 1.79.2.3  2011/01/28 22:47:44  megabajt
- updated to 4.8.0
- -generic-menu.patch seems to be not needed
- release 0.9

Revision 1.79.2.2  2010/11/15 12:52:40  baggins
- prefer generic applications menu
- build cleanup

Revision 1.82  2010/11/14 16:11:14  baggins
- no ur_PK locale

Revision 1.81  2010/11/14 12:44:54  baggins
- fixed upstraem

Revision 1.80  2010/11/14 12:43:58  baggins
- 4.6.4, XFCE 4.6.2

Revision 1.79.2.1  2010/11/14 12:21:01  baggins
- 4.7.4, XFCE 4.8pre1

Revision 1.79  2010/11/11 21:02:05  baggins
- rel 5
- dirs cleanup

Revision 1.78  2010/05/01 18:01:19  jajcus
- patch to hide decorations of XFCE4 panel (bug introduced with recent glib upgrade)
  http://bugzilla.xfce.org/show_bug.cgi?id=6110
- Release: 4

Revision 1.77  2010/02/27 15:07:35  hawk
- release 3

Revision 1.76  2010/01/31 16:57:40  sparky
- BR: gtk-doc

Revision 1.75  2010/01/30 01:12:06  megabajt
- %{__gtkdocize}

Revision 1.74  2009/06/17 14:39:39  hawk
- release 2

Revision 1.73  2009/04/27 07:30:45  adamg
- updated to 4.6.1

Revision 1.72  2009/03/01 17:46:24  megabajt
- require tango-icon-theme. Temporarly Tango is default icon theme.

Revision 1.71  2009/02/27 19:23:00  megabajt
- updated to 4.6.0
- removed obsolete -locale-names.patch

Revision 1.70  2008/10/28 00:06:06  blues
- 4.4.3

Revision 1.69  2007/12/05 16:04:01  megabajt
- updated to 4.4.2

Revision 1.68  2007-07-02 00:36:34  shadzik
- rel 2

Revision 1.67  2007/04/11 19:40:53  rotom
- 4.4.1

Revision 1.66  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.65  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.64  2007/01/28 14:04:51  megabajt
- added O: xfce4-windowlist-plugin, xfce4-taskbar-plugin, xfce4-showdesktop-plugin, xfce4-iconbox

Revision 1.63  2007/01/22 15:29:31  megabajt
- updated to 4.4.0
- added apidocs subpackage

Revision 1.62  2006/11/06 14:56:03  megabajt
- updated to 4.3.99.2 (Xfce 4.4RC2)

Revision 1.61  2006/09/11 14:36:14  megabajt
- fixed gtk-doc/html location (thx adgor)
- rel. 2

Revision 1.60  2006/09/04 19:35:32  megabajt
- up to 4.3.99.1
- use rpm macros
- rm filterout_ld definition (now it builds with --as-needed)

Revision 1.59  2006/08/20 16:04:52  qboosh
- filterout needs rpm.macros >= 1.315

Revision 1.58  2006/08/12 18:23:30  ankry
- formatting

Revision 1.57  2006/08/05 21:07:11  sparky
- convert no_build_with_as_needed 1 to filterout_ld -Wl,--as-needed

Revision 1.56  2006/07/24 18:23:46  freetz
- rel.2, disabled --as-needed

Revision 1.55  2006/07/16 15:56:26  freetz
- missing dir

Revision 1.54  2006/07/16 15:50:39  freetz
- clean up

Revision 1.53  2006/07/16 15:44:48  freetz
- merged from DEVEL

Revision 1.52.2.7  2006/07/16 15:42:54  freetz
- 4.3.90.2, updated deps, libs subpackage (builder friendly), updated
  file list, update icon cache, dropped outdated handle-option patch and
  removed obsolete configure_ac patch

Revision 1.52.2.6  2006/07/01 14:44:16  lmasko
- added patch xfce4-panel-configure_ac.patch to correct configure.ac syntax

Revision 1.52.2.5  2006/05/20 08:07:05  charles
- -devel now req. base

Revision 1.52.2.4  2006/05/20 07:50:34  charles
- fixed %files, cleanups

Revision 1.52.2.3  2006/05/17 03:59:24  charles
- BR: gtk-doc-automake

Revision 1.52.2.2  2006/04/27 20:51:03  troll
- Obsoletes: xfce4-systray

Revision 1.52.2.1  2006/04/20 16:29:44  troll
- updated to 4.3.90.1
- parts are licensed under LGPL v2
- disabled handle-options (probably not needed anymore)
- added --enable-gtk-doc to %%configure

Revision 1.52  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.51  2005/11/10 05:38:05  charles
- updated to 4.2.3
- BR: docbook-dtd412-xml, docbook-style-xsl

Revision 1.50  2005/05/19 00:17:56  troll
- updated to 4.2.2
- BR: xfce4-dev-tools

Revision 1.49  2005/05/11 19:40:30  charles
- BR: gettext-devel

Revision 1.48  2005/05/11 00:38:37  koorek
- added patch that allow to remove handles
- rel up

Revision 1.47  2005/04/02 21:43:00  havner
- R: hicolor-icon-theme (for /usr/share/icons/hicolor)
- R: xfce4-icon-theme (for /usr/share/icons/Rodent)
- rel 2

Revision 1.46  2005/03/24 09:06:08  troll
- up to 4.2.1.1 - a bugfix release,
- adjusted BRs and Rs to fit general Xfce version

Revision 1.45  2005/03/16 20:30:51  qboosh
- wrr, copy-pasto

Revision 1.44  2005/03/16 01:51:35  koorek
- updated to 4.2.1
- mirror url for source

Revision 1.43  2005/01/18 11:54:52  charles
- devel doesn't require base

Revision 1.42  2005/01/18 11:06:21  charles
- proper R for devel
- added R base (incoherent update)

Revision 1.41  2005/01/17 12:53:55  troll
- updated to 4.2.0 final

Revision 1.40  2005/01/05 03:16:50  charles
- reverted Rs libxfce4mcs, libxfcegui4, xfce-mcs-manager

Revision 1.39  2005/01/04 17:05:26  charles
- proper BRs versions
- removed redundant R
- cosmetics in licence
- rel. 2 for STBR

Revision 1.38  2004/12/28 10:09:41  troll
- updated to 4.1.99.3 (4.2 RC3)

Revision 1.37  2004/12/22 15:31:16  troll
- seems that authors changed their mind regarding the name, unifications

Revision 1.36  2004/12/14 01:29:31  troll
- updated to 4.1.99.2 (4.2 RC2)

Revision 1.35  2004/11/27 19:21:10  saq
- massive attack: more BR epoch fixes

Revision 1.34  2004/11/27 13:30:01  havner
- O: xfce4-themes

Revision 1.33  2004/11/27 13:28:25  havner
- no themes dir, xfe4-themes seems to be obsolete

Revision 1.32  2004/11/26 18:18:14  havner
- typo

Revision 1.31  2004/11/25 23:15:38  qboosh
- doc/*/images dirs back to xfce-mcs-manager only

Revision 1.30  2004/11/25 23:06:29  qboosh
- missing dir, BR ac 2.50

Revision 1.29  2004/11/25 06:48:54  troll
- merged from DEVEL

Revision 1.24.2.14  2004/11/16 21:20:37  dzeus
- proper BR,R

Revision 1.24.2.13  2004/11/15 21:25:05  dzeus
- updated to 4.1.99.1 (4.2 RC1)

Revision 1.24.2.12  2004/11/08 16:50:11  troll
- updated to 4.1.91 (4.2 beta 2)

Revision 1.24.2.11  2004/10/07 18:42:20  troll
- updated to 4.1.90 (4.2 beta 1)

Revision 1.24.2.10  2004/08/16 18:58:17  havner
- [mass commit] 20040816
- not tested yet

Revision 1.24.2.9  2004/08/13 16:36:56  havner
- xfce4rc.ro

Revision 1.24.2.8  2004/08/13 16:32:25  havner
- wrr, again

Revision 1.24.2.7  2004/08/13 16:31:36  havner
- typo

Revision 1.24.2.6  2004/08/13 16:30:29  havner
- proper version
- proper BR
- 20040813

Revision 1.24.2.5  2004/08/06 23:19:53  havner
- typo

Revision 1.24.2.4  2004/08/06 23:01:22  havner
- 20040806

Revision 1.24.2.3  2004/08/06 20:09:27  havner
- removed modules dir, it does not exist

Revision 1.24.2.2  2004/06/22 13:22:19  jpc
- fixes from troll
- cosmetics

Revision 1.24.2.1  2004/06/16 17:10:30  jpc
- new snap 20040616
- autotoolize
- add icon & .desktop
- add french docs
- more translated config files

Revision 1.24  2004/04/18 07:37:48  ankry
- fixed src URL

Revision 1.23  2004/04/18 06:24:19  ankry
- switched to a working mirror

Revision 1.22  2004/04/16 22:16:23  troll
- updated to XFce-4.0.5
- more strict internal dependencies
- new Source0 (the old one doesn't exist anymore)

Revision 1.21  2004/03/14 20:13:29  adgor
- Some resources marked as %%lang()
- Rel++

Revision 1.20  2004/03/10 20:57:35  troll
- updated to 4.0.4

Revision 1.19  2004/01/12 21:27:12  undefine
- copy config.sub to allow build on amd64, release 2

Revision 1.18  2004/01/08 23:24:59  troll
- updated to 4.0.3

Revision 1.17  2003/12/28 23:28:16  troll
- updated to 4.0.2

Revision 1.16  2003/11/14 14:38:47  troll
- updated to 4.0.1
- unified BR versions

Revision 1.15  2003/11/13 11:59:11  qboosh
- updated -devel deps

Revision 1.14  2003/09/27 09:13:39  troll
- updated to 4.0.0

Revision 1.13  2003/09/14 15:59:06  troll
- updated to 3.99.4

Revision 1.12  2003/08/28 12:56:36  speedy
- fixed (installed but not in .rpm): /etc/xfce4/xfce4rc

Revision 1.11  2003/08/28 12:03:54  troll
- fixed *Requires' versions

Revision 1.10  2003/08/27 09:19:34  pascalek
- updated to 3.99.3

Revision 1.9  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.8  2003/08/01 14:48:43  qboosh
- /etc/xfce4 is in mcs-manager now

Revision 1.7  2003/07/25 08:50:47  pascalek
- updated to 3.99.2

Revision 1.6  2003/07/07 07:28:33  pascalek
- updated to 3.91.0

Revision 1.5  2003/06/18 07:46:37  qboosh
- BR: pkgconfig

Revision 1.4  2003/06/17 11:21:04  qboosh
- use _pkgconfigdir macro

Revision 1.3  2003/06/17 10:36:31  qboosh
- fixed -devel deps

Revision 1.2  2003/06/17 10:33:45  qboosh
- pl, cleanup, fixed file list, separated -devel

Revision 1.1  2003/06/14 19:51:34  pascalek
- initial release
